Subject: bug#51292: 27.2; Reversing strings with unicode combining characters

From: Howard Melman <[email-masked]>
Date: Tue, 19 Oct 2021 17:21:36 -0400

Lars Ingebrigtsen <[email-masked]> writes:

> Lars Ingebrigtsen <[email-masked]> writes:
>
>> Emacs has string-reverse, obsolete since 25.1.  Perhaps we should
>> reintroduce it and use the definition from s?
>
> Or...  well, that might break some people's code, so let's not do that.
>
> And I'm not quite sure that such a function really makes sense.  How
> often do you reverse a string for display purposes,
> anyway?

FWIW, I'm not invested in the outcome.  I haven't had a need
to do this but found the behavior curious.

> But it might make sense to add function to tokenize a string into
> grapheme clusters -- I can see that being useful.  Then the caller can
> chop and reverse the list of clusters as they wish.
>
> `string-tokenize-graphemes'?

I agree that seems potentially useful.

-- 

Howard